mod parser;

use std::io::prelude::*;
use std::env;
use std::fs::File;

fn main() {
    let args: Vec<String> = env::args().collect();
    let mut file = File::open(&args[1]).expect("Could not read file");
    let mut prgm = String::new();
    file.read_to_string(&mut prgm).unwrap();
    let tree = parser::parse(&prgm);
    println!("{:?}", tree);
}
